<div class="product-sales-area">
    <div class="container-fluid custom_container_fluid_padding">
        <div class="row">
            <div class="col-sm-12">
                <h4 class="page-title">Gigs</h4>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card-box">

                    <div class="row">
                        <div class="col-md-12">
                            <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                                <div class="panel panel-default">
                                    <div class="panel-heading" role="tab" id="headingOne" role="button"
                                        data-toggle="collapse" data-parent="#accordion" href="#collapseOne"
                                        aria-expanded="true" aria-controls="collapseOne">
                                        <h4 class="panel-title">
                                            <a>
                                                <i class="more-less fa fa-plus"></i>
                                                <span class="searchbar_text_padding_left"> Search
                                                </span>
                                            </a>
                                        </h4>
                                    </div>
                                    <div id="collapseOne" class="panel-collapse collapse" role="tabpanel"
                                        aria-labelledby="headingOne">
                                        <div class="panel-body">
                                            <div class="row">
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Gig</label>
                                                        <input type="text" class="form-control Search_form_control"
                                                            placeholder="Enter Gig" [(ngModel)]="gig_name"
                                                            name="gig_name" />
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Category</label>
                                                        <select class="form-control form_control_border_radius"
                                                            name="category" [(ngModel)]="getCategory.id">
                                                            <option value="0">Select From List</option>
                                                            <option *ngFor="let option of categoryList"
                                                                value={{option.id}}>
                                                                {{option.category_name}}
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Seller </label>
                                                        <input type="text" class="form-control"
                                                            placeholder="Enter  Seller" name="seller"
                                                            [(ngModel)]="seller">
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Status</label>
                                                        <select class="form-control form_control_border_radius"
                                                            name="status" [(ngModel)]="getGigStatus.id">
                                                            <option value="0">Select From List</option>
                                                            <option *ngFor="let option of gigStatusList"
                                                                value={{option.id}}>
                                                                {{option.gig_status_name}}
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-1 search_padding">
                                                    <div class="">
                                                        <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                        <button class="btn btn-primary search_btn_width"
                                                            (click)="onSearchClick()" style="white-space: nowrap;"><i
                                                                class="fa fa-search"></i> Search</button>
                                                    </div>
                                                </div>
                                                <div class="col-md-1 search_padding">
                                                    <div class="">
                                                        <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                        <button class="btn btn-primary clear_all_btn"
                                                            (click)="onClearAllClick()">Clear All</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                          <i class="glyphicon glyphicon-search"></i>
                          <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                      </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->
                    <div class="row">
                        <div class="col-md-12">
                            <kendo-grid [data]="grid_data" height="auto" [pageSize]="pageSize" [sort]="sort"
                                [skip]="state.skip" (sortChange)="sortChange($event)" [filter]="state.filter"
                                [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                                (dataStateChange)="dataStateChange($event)" (pageChange)="pageChange($event)">


                                <kendo-grid-column field="gigs" title="GIGS"
                                    [headerStyle]="{'height':'40px','text-align':'left','width':'300px'}"
                                    [style]="{'width':'300px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 noPadding_xs">
                                                <div class="inline_flex_data">
                                                    <div class="img_div">
                                                        <img class="img-thumbnail" alt="brand-fr-clothing"
                                                            src="{{idx.gallery_file_path}}">
                                                    </div>
                                                    <h6 class="gig_name"><a href="javascript:void(0)"
                                                            data-toggle="modal"
                                                            (click)="openGigDetails(idx.gig_id,idx.gig_status_id)">
                                                            {{idx.title}}</a></h6>
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>

                                <kendo-grid-column field="category" title="CATEGORY"
                                    [headerStyle]="{'height':'40px','text-align':'left','width':'160px'}"
                                    [style]="{'width':'160px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-left noPadding_xs">
                                                <div>
                                                    {{idx.category_name}}
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>

                                <kendo-grid-column field="seller" title="SELLER"
                                    [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                    [style]="{'width':'140px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-left noPadding_xs">
                                                <!-- <a (click)="OnSellernameClick()">
                                                    {{idx.created_user}}
                                                </a> -->
                                                <!-- <a  href="javascript:void(0)" (click)="OnSellernameClick(idx.created_by_id)">
                                                    <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">{{idx.created_user}}</h6>
                                                  </a> -->
                                                {{idx.created_user}}
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>

                                <kendo-grid-column field="price" title="PRICE"
                                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                                    [style]="{'width':'100px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-left noPadding_xs">
                                                <div>
                                                    {{idx.gig_price}}
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>

                                <kendo-grid-column field="status" title="STATUS"
                                    [headerStyle]="{'height':'40px','text-align':'center','width':'140px'}"
                                    [style]="{'width':'140px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-center noPadding_xs">
                                                <div class="{{idx.statusColour}}">
                                                    {{idx.gig_status_name}}
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>

                                <kendo-grid-column field="updated_date" title="UPDATED DATE"
                                    [headerStyle]="{'height':'40px','text-align':'left','width':'110px'}"
                                    [style]="{'width':'110px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-left noPadding_xs">
                                                <div>
                                                    {{idx.modified_date|date:"dd MMM yyyy"}}
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>

                                <kendo-grid-column field="rating" title="RATING"
                                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                                    [style]="{'width':'100px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-left noPadding_xs">
                                                <!-- <div class="stars_container" *ngIf="idx.rating==0 || idx.rating==null || idx.rating==undefined">
                                                    <i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i>
                                                </div> -->
                                                <div class="stars_container" *ngIf="idx.rating==1">
                                                    <i class="fa fa-star" style="color: #febf10;"></i>
                                                </div>
                                                <div class="stars_container" *ngIf="idx.rating==2">
                                                    <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                                </div>
                                                <div class="stars_container" *ngIf="idx.rating==3">
                                                    <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                                </div>
                                                <div class="stars_container" *ngIf="idx.rating==4">
                                                    <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                                </div>
                                                <div class="stars_container" *ngIf="idx.rating==5">
                                                    <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                                </div>
                                                <!-- <div [innerHtml]="printStar"
                                                    *ngIf=" idx.rating>0 && idx.rating!=null && idx.rating!=undefined">
                                                    {{getStar(idx.rating)}}
                                                </div> -->
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>
                                <kendo-grid-column field="orders" title="ORDERS"
                                    [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                                    [style]="{'width':'100px'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                                        <div class="row">
                                            <div class="col-md-12 row_padding text-center noPadding_xs">
                                                <div>
                                                    {{idx.orders_count==null?'0':idx.orders_count}}
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>
                                <kendo-grid-column field="action" title="ACTION"
                                    [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                    [style]="{'width':'100px','text-align':'right'}">
                                    <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
                                        <div class="checkbox checbox-switch">
                                            <label class="switch" for="{{'styled-checkbox-201'+i}}">
                                                <input type="checkbox" class="styled-checkbox"
                                                    id="{{'styled-checkbox-201'+i}}" [(ngModel)]="idx.CHECKBOX"
                                                    (click)="onActionClick(idx)"
                                                    [disabled]="idx.gig_status_id==1 || idx.gig_status_id==2 || idx.gig_status_id==3 || idx.gig_status_id==4"
                                                    [name]="'styled-checkbox-201'+i">
                                                <span class="slider round"></span>
                                            </label>
                                            <!-- <input class="styled-checkbox" id="{{'styled-checkbox-201'+i}}" type="checkbox" [(ngModel)]="idx.CHECKBOX"
                          [disabled]="(idx.labour_status.id!=4 && idx.labour_status.id!=5) || (idx.labour_status.id==5 && idx.is_requested_for_available==true)" [name]="'styled-checkbox-201'+i">
                        <label for="{{'styled-checkbox-201'+i}}"></label> -->
                                        </div>
                                    </ng-template>
                                </kendo-grid-column>
                            </kendo-grid>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>